## AtkMisc AtkMisc — A set of ATK utility functions for thread locking |

## Functions

void | atk_misc_threads_enter ()
void | atk_misc_threads_leave ()
const AtkMisc * | atk_misc_get_instance ()

## Types and Values

struct | AtkMisc

## Object Hierarchy

        GObject
        ╰── AtkMisc

## Description

A set of utility functions for thread locking. This interface and all his related methods are deprecated since 2.12.

## Functions

### atk_misc_threads_enter ()

    void
    atk_misc_threads_enter (AtkMisc *misc);

`atk_misc_threads_enter` is deprecated and should not be used in newly-written code.

Since 2.12.

Take the thread mutex for the GUI toolkit, if one exists. (This method is implemented by the toolkit ATK implementation layer; for instance, for GTK+, GAIL implements this via GDK_THREADS_ENTER).

#### Parameters

misc | an AtkMisc instance for this application. |

Since: 1.13

### atk_misc_threads_leave ()

    void
    atk_misc_threads_leave (AtkMisc *misc);

`atk_misc_threads_leave` is deprecated and should not be used in newly-written code.

Since 2.12.

Release the thread mutex for the GUI toolkit, if one exists. This method, and atk_misc_threads_enter, are needed in some situations by threaded application code which services ATK requests, since fulfilling ATK requests often requires calling into the GUI toolkit. If a long-running or potentially blocking call takes place inside such a block, it should be bracketed by atk_misc_threads_leave/atk_misc_threads_enter calls. (This method is implemented by the toolkit ATK implementation layer; for instance, for GTK+, GAIL implements this via GDK_THREADS_LEAVE).

#### Parameters

misc | an AtkMisc instance for this application. |

Since: 1.13

### atk_misc_get_instance ()

    const AtkMisc *
    atk_misc_get_instance (void);

`atk_misc_get_instance` is deprecated and should not be used in newly-written code.

Since 2.12.

Obtain the singleton instance of AtkMisc for this application.

#### Returns

The singleton instance of AtkMisc for this application.

Since: 1.13

## Types and Values

### struct AtkMisc

    struct AtkMisc;